### Installation ###

# Packaging directory
DESTDIR=
# Prefix directory
PREFIX=/opt/utroff
# Where to place binaries
# and where to find utroff tools
BINDIR=$(PREFIX)/bin
# Where to place manuals
MANDIR=$(PREFIX)/man
# Where to place libraries
LIBDIR=$(PREFIX)/lib
# Where to place refer utilities
REFDIR=$(LIBDIR)/refer
# Where to place xsl stylesheet
XSLDIR=$(LIBDIR)/xsl
# Where to place troff macros
MACDIR=$(LIBDIR)/tmac
# where to place pdf files
DOCDIR=$(PREFIX)/doc

### Website and repository ###

# Where to place html files
WEBDIR=$(DOCDIR)/www
# Where to place repository
PUBDIR=$(DOCDIR)/pub
# Url of website
# (set it to WEBDIR for local html documentation)
WEBURL=http://utroff.org
# Url of repository
# (set it to PUBDIR for local html documentation)
PUBURL=http://download.tuxfamily.org/utroff


### scp configuration to upload website ###

# User who can do scp
SSHUSER=
# Url where to scp
SSHURL=ssh.tuxfamily.org:/home/utroff
# Where to scp html files in $(WEBDIR)
SSHWEB=$(SSHURL)/utroff.org-web/htdocs
# Where to scp repository in $(PUBDIR)
SSHPUB=$(SSHURL)/utroff-repository

### Dependencies ###

# Where to find the OpenType Libertine Font
OTFDIR=/usr/share/fonts/OTF/

### Build dependencies ###

# Posix shell
SHELL=/bin/sh
# Strip
STRIP=strip -s -R .comment -R .note
# Install
INSTALL=/usr/bin/install
# C compiler
CC=gcc
# compilier flags
CFLAGS=-O
# Compiler warning
WARN=-Wall
# Support for locale specific character 
EUC=-DEUC
# Linker flags
LDFLAGS=
# Additionnal libraries to link with
LIBS=
# C preprocessor flags.
# Use -D_GNU_SOURCE for Linux with GNU libc.
# Use -D_INCLUDE__STDC_A1_SOURCE for HP-UX.
CPPFLAGS=-D_GNU_SOURCE


### Build documentation and archive dependencies ###

# ps2pdf
PS2PDF=ps2pdf

# Where to find Heirloom tools
# Heirloom troff
TROFF=$(BINDIR)/troff
# Heirloom nroff
NROFF=$(BINDIR)/nroff
# Heirloom dpost
DPOST=$(BINDIR)/dpost

# Where to find Utroff tools
# Utroff soelim
SOELIM=$(BINDIR)/soelim
# Utroff felim
FELIM=$(BINDIR)/felim
# Utroff slelim
SLELIM=$(BINDIR)/slelim
# Utroff refer
REFER=$(BINDIR)/refer
# Utroff ugrind
UGRIND=$(BINDIR)/ugrind
# Utroff prexml
PREXML=$(BINDIR)/prexml
# Utroff postxml
POSTXML=$(BINDIR)/postxml
# Utroff trxtr
TRXTR=$(BINDIR)/trxtr
# Utroff build scripts
CLOG=$(BINDIR)/clog
GLOG=$(BINDIR)/glog


### Tools to pre-build ###
# (Share must be the first one)
BUILD= share \
	demo \
	dpage \
	heirloom \
	idx \
	refer \
	soelim \
	tchars \
	troffxml \
	U \
	ugrind \
	utmac

### All utroff tools ###
# (Share must be the first one)
UTROFF= share \
	demo \
	dpage \
	heirloom \
	frog \
	idx \
	refer \
	soelim \
	sophia \
	tchars \
	troffxml \
	U \
	ugrind \
	utmac \
	www

# Utroff version (don't modify)
RELEASE=0.3

# $Id: config.mk,v 0.7 2014/03/13 10:22:41 pj Exp pj $
